# API Keys

To access the Lucid APIs, you will need an API key.  Your organization's account may have one or more API keys associated with it.  API keys may have different scoping or permissions associated with them; that is, some API keys may only work on a subset of endpoints depending on your account type and level of permission.

{% hint style="info" %}
For help requesting or accessing an API key, please contact us directly.
{% endhint %}

{% hint style="danger" %}
The Lucid team will never ask you for your API key.  If there is a problem with one, we will just issue you a new one.  If someone is asking you for your key, please do not give it to them and report the matter to us.
{% endhint %}

## API Keys

API keys are issued as random strings of characters.  Authentication is done at the HTTP header level by applying your API key in the `apikey` field.  For example, the following demonstrates how to send a sample request to a mock endpoint.

{% tabs %}
{% tab title="curl" %}

```
curl -X 'POST' \
  'https://<your-server>/v1/recommend/train' \
  -H 'accept: application/json' \
  -H 'apikey: [ENTER YOUR API KEY]' \
  -H 'Content-Type: application/json'

```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://lucid-ai.gitbook.io/devdocs/api-reference/getting-started/api-keys.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
